:: Last updated: 2011/09/06
@echo OFF

:: Variables
set RENAMER=.\Tools\DNCostumeRenamer\DNCostumeRenamer.jar
set SRC_DIR=.\Resources\resource\item\cash_item
set DEST_DIR=.\Parts\cash_babywing

:: Rename wings
java -jar %RENAMER% "cash_\w*wing\w*.act" "cash_babywing.act" %SRC_DIR% %DEST_DIR%
java -jar %RENAMER% "cash_\w*wing\w*.ani" "cash_babywing.ani" %SRC_DIR% %DEST_DIR%
java -jar %RENAMER% "cash_\w*wing\w*.msh" "cash_babywing_white.msh" %SRC_DIR% %DEST_DIR%
java -jar %RENAMER% "cash_\w*wing\w*.skn" "cash_babywing_white.skn" %SRC_DIR% %DEST_DIR%

:: Gackt wing fix - incomplete file copying with DNCostumeRenamer?
COPY .\Resources\resource\item\cash_item\cash_gacktwing.ani .\Parts\cash_babywing\cash_gacktwing\cash_babywing.ani /y

:: These are hardcoded wing names...
setlocal enabledelayedexpansion
for /d %%I in ("%DEST_DIR%\*") DO (
	set NAME=%%~nI
	set PREFIX=!NAME:~0,14!
	if !PREFIX! EQU cash_arcwingde (
		COPY %DEST_DIR%\cash_arcwingdevil\* %%I\ /y
	) else if !PREFIX! EQU cash_babywing_ (
		COPY %DEST_DIR%\cash_babywing\* %%I\ /y
	) else if !PREFIX! EQU cash_babywingd (
		COPY %DEST_DIR%\cash_babywingdevil\* %%I\ /y
	) else if !PREFIX! EQU cash_batwingde (
		COPY %DEST_DIR%\cash_batwingdevil\* %%I\ /y
	) else if !PREFIX! EQU cash_bigbangwi (
		COPY %DEST_DIR%\cash_bigbangwing\* %%I\ /y
	) else if !PREFIX! EQU cash_bugswing_ (
		COPY %DEST_DIR%\cash_bugswing\* %%I\ /y
	) else if !PREFIX! EQU cash_dovewing_ (
		COPY %DEST_DIR%\cash_dovewing\* %%I\ /y
	) else if !PREFIX! EQU cash_gacktwing (
		COPY %DEST_DIR%\cash_gacktwing\* %%I\ /y
	) else if !PREFIX! EQU cash_longwing_ (
		COPY %DEST_DIR%\cash_longwing\* %%I\ /y
	)
)
rmdir /s /q %DEST_DIR%\cash_arcwingdevil
rmdir /s /q %DEST_DIR%\cash_babywing
rmdir /s /q %DEST_DIR%\cash_babywingdevil
rmdir /s /q %DEST_DIR%\cash_batwingdevil
rmdir /s /q %DEST_DIR%\cash_bigbangwing
rmdir /s /q %DEST_DIR%\cash_bugswing
rmdir /s /q %DEST_DIR%\cash_dovewing
rmdir /s /q %DEST_DIR%\cash_gacktwing
rmdir /s /q %DEST_DIR%\cash_longwing