:: Last updated: 2011/09/05
@echo OFF

:: Intro
echo ===============================================
echo Keripo's Automated CN-Costume Repacking Scripts
echo Last updated: 2011/09/05
echo.
mkdir logs > nul 2>&1

:: Extract
echo - Extracting game files...
echo   (This may take a long time)
call "1 Extract Costumes-CN.bat" > "logs\1 Extract Costumes-CN.log" 2>&1

:: Diff
echo - Creating CN resource packs...
echo   (This may take a long time)
call "2 Filter Resources-CN.bat" > "logs\2 Filter Resources-CN.log" 2>&1

:: Rename
call "2 Rename All.bat"

:: Repack
echo - Repacking costumes...
call "3 Repack.bat"

:: Cleanup
echo - Cleaning up files...
rmdir /s /q .\Parts
rmdir /s /q .\Resources
rmdir /s /q .\Resources-NA
rmdir /s /q .\Resources-CN
rmdir /s /q .\Resources-Fixes

:: Finished
echo.
echo Done! All costume mods can be found in the
echo new "Mods" folder. Copy the desired .pak
echo files to your Dragon Nest install folder.
echo You can also use Tools\DNModelBrowser to
echo preview and mix-and-match costume parts (see
echo forums for instructions).
echo.
echo Happy modding!
echo.
echo ~Keripo
echo ============================================

:: Wait
PAUSE