:: Last updated: 2011/09/05
@echo OFF

:: Variables
set QUICKBMS_EXE=".\Tools\quickbms\quickbms.exe"
set QUICKBMS_SCRIPT=".\Tools\quickbms\dragonnest.bms"
set RESOURCES_DIR=".\Resources"
set QUICKBMS_FILTER_PARTS_SKN="*resource\char\player\*\parts\*.skn"
set QUICKBMS_FILTER_HEADS_DDS="*resource\char\player\*\parts\*head*.dds"
set QUICKBMS_FILTER_CASHS_SKN="*resource\item\cash_item\*.skn"
set QUICKBMS_FILTER_CASHS_ACT="*resource\item\cash_item\*.act"
set QUICKBMS_FILTER_CASHS_ANI="*resource\item\cash_item\*.ani"
set QUICKBMS_FILTER_WEAPS_SKN="*resource\weapon\*.skn"
set DRAGON_NEST_DIR=..
set RESOURCE_FILES=Resource00.pak Resource01.pak Resource02.pak Resource03.pak

:: Make the output directory
mkdir %RESOURCES_DIR% > nul 2>&1

:: Extract each resource pack
for %%f in (%RESOURCE_FILES%) do (
	%QUICKBMS_EXE% -o -f %QUICKBMS_FILTER_PARTS_SKN% %QUICKBMS_SCRIPT% "%DRAGON_NEST_DIR%\%%f" %RESOURCES_DIR%
	%QUICKBMS_EXE% -o -f %QUICKBMS_FILTER_HEADS_DDS% %QUICKBMS_SCRIPT% "%DRAGON_NEST_DIR%\%%f" %RESOURCES_DIR%
	%QUICKBMS_EXE% -o -f %QUICKBMS_FILTER_CASHS_SKN% %QUICKBMS_SCRIPT% "%DRAGON_NEST_DIR%\%%f" %RESOURCES_DIR%
	%QUICKBMS_EXE% -o -f %QUICKBMS_FILTER_CASHS_ACT% %QUICKBMS_SCRIPT% "%DRAGON_NEST_DIR%\%%f" %RESOURCES_DIR%
	%QUICKBMS_EXE% -o -f %QUICKBMS_FILTER_CASHS_ANI% %QUICKBMS_SCRIPT% "%DRAGON_NEST_DIR%\%%f" %RESOURCES_DIR%
	%QUICKBMS_EXE% -o -f %QUICKBMS_FILTER_WEAPS_SKN% %QUICKBMS_SCRIPT% "%DRAGON_NEST_DIR%\%%f" %RESOURCES_DIR%
)