:: Last updated: 2011/09/08
@echo OFF

:: Variables
set RENAMER=.\Tools\DNCostumeRenamer\DNCostumeRenamer.jar
set SRC_DIR=.\Resources\resource\char\player
set DEST_DIR=.\Parts\cl_normal

:: Full body costumes
set FULLC_PATTERN="\w*_(costume_bigbang01|costume_bigbang02|costume_china01|costume_china01_0|costume_china01_1|costume_china02|costume_china02_0|costume_china02_1|costume_china03|costume_china03_0|costume_china03_1|costume_chinagold|costume_spring01|costume_spring02|costume_spring03|costume_swim_b01|costume_swim_b02|costume_swim_b03|costume_swim01|costume_swim02|costume_swim03|school01_01|school01_02|school01_03|tatsubon01).skn"

:: Rename parts
set MATCH_PATTERN="\w*\W*\w*_body.skn"
set RENAME_PATTERN="cl_(basic|normal01|normal02|normal03|magic01|rare01|epic01)_body.skn"
java -jar %RENAMER% %MATCH_PATTERN% %RENAME_PATTERN% %SRC_DIR% %DEST_DIR%
java -jar %RENAMER% %FULLC_PATTERN% %RENAME_PATTERN% %SRC_DIR% %DEST_DIR%

set MATCH_PATTERN="\w*\W*\w*_boots.skn"
set RENAME_PATTERN="cl_(basic|normal01|normal02|normal03|magic01|rare01|epic01)_boots.skn"
java -jar %RENAMER% %MATCH_PATTERN% %RENAME_PATTERN% %SRC_DIR% %DEST_DIR%
java -jar %RENAMER% %FULLC_PATTERN% %RENAME_PATTERN% %SRC_DIR% %DEST_DIR%

set MATCH_PATTERN="\w*\W*\w*_glove.skn"
set RENAME_PATTERN="cl_(basic|normal01|normal02|normal03|magic01|rare01|epic01)_glove.skn"
java -jar %RENAMER% %MATCH_PATTERN% %RENAME_PATTERN% %SRC_DIR% %DEST_DIR%
java -jar %RENAMER% %FULLC_PATTERN% %RENAME_PATTERN% %SRC_DIR% %DEST_DIR%

set MATCH_PATTERN="\w*\W*\w*_leg.skn"
set RENAME_PATTERN="cl_(basic|normal01|normal02|normal03|magic01|rare01|epic01)_leg.skn"
java -jar %RENAMER% %MATCH_PATTERN% %RENAME_PATTERN% %SRC_DIR% %DEST_DIR%
java -jar %RENAMER% %FULLC_PATTERN% %RENAME_PATTERN% %SRC_DIR% %DEST_DIR%
